; Samus graphics made by Jako

.gba
.open "ZM_U.gba","SamusFacingBackground.gba",0x8000000

.definelabel SamusGFXEmpty,0x82320e4

.definelabel FreeSpace,filesize("ZM_U.gba") + 0x8000000

.org 0x8238d64
    .word SamusOAMData_PowerSuit_FacingTheBackground
    .word SamusOAMData_PowerSuit_FacingTheBackground
    .word SamusOAMData_PowerSuit_Right_TurningFromFacingTheBackground
    .word SamusOAMData_PowerSuit_Left_TurningFromFacingTheBackground

.org 0x8239720
    .word SamusOAMData_FullSuit_FacingTheBackground
    .word SamusOAMData_FullSuit_FacingTheBackground
    .word SamusOAMData_FullSuit_Right_TurningFromFacingTheBackground
    .word SamusOAMData_FullSuit_Left_TurningFromFacingTheBackground

.org FreeSpace

;--------------------Power suit----------------------

SamusOAMData_PowerSuit_FacingTheBackground:
    .word SamusGFXEmpty
    .word SamusGFX_PowerSuit_FacingTheBackground
    .word SamusOAM_FacingTheBackground
    .byte 0xFF,0x0,0x0,0x0
    .word 0x0,0x0,0x0,0x0

SamusOAMData_PowerSuit_Right_TurningFromFacingTheBackground:
    .word SamusGFXEmpty
    .word SamusGFX_PowerSuit_Right_TurningFromFacingTheBackground
    .word SamusOAM_FacingTheBackground
    .byte 0x4,0x0,0x0,0x0
    .word 0x0,0x0,0x0,0x0

SamusOAMData_PowerSuit_Left_TurningFromFacingTheBackground:
    .word SamusGFXEmpty
    .word SamusGFX_PowerSuit_Left_TurningFromFacingTheBackground
    .word SamusOAM_FacingTheBackground
    .byte 0x4,0x0,0x0,0x0
    .word 0x0,0x0,0x0,0x0


;--------------------Full suit-----------------------

SamusOAMData_FullSuit_FacingTheBackground:
    .word SamusGFXEmpty
    .word SamusGFX_FullSuit_FacingTheBackground
    .word SamusOAM_FacingTheBackground
    .byte 0xFF,0x0,0x0,0x0
    .word 0x0,0x0,0x0,0x0

SamusOAMData_FullSuit_Right_TurningFromFacingTheBackground:
    .word SamusGFXEmpty
    .word SamusGFX_FullSuit_Right_TurningFromFacingTheBackground
    .word SamusOAM_FacingTheBackground
    .byte 0x4,0x0,0x0,0x0
    .word 0x0,0x0,0x0,0x0

SamusOAMData_FullSuit_Left_TurningFromFacingTheBackground:
    .word SamusGFXEmpty
    .word SamusGFX_FullSuit_Left_TurningFromFacingTheBackground
    .word SamusOAM_FacingTheBackground
    .byte 0x4,0x0,0x0,0x0
    .word 0x0,0x0,0x0,0x0

.align

;--------------------GFX/OAM-------------------------

SamusGFX_PowerSuit_FacingTheBackground:
    .byte 0x9
    .byte 0x6
    .import "GFX/FacingBackground_PowerSuit_Organized.gfx"

SamusGFX_PowerSuit_Right_TurningFromFacingTheBackground:
    .byte 0x9
    .byte 0x6
    .import "GFX/TurningFromFacingBackground_PowerSuit_Right_Organized.gfx"

SamusGFX_PowerSuit_Left_TurningFromFacingTheBackground:
    .byte 0x9
    .byte 0x6
    .import "GFX/TurningFromFacingBackground_PowerSuit_Left_Organized.gfx"


SamusGFX_FullSuit_FacingTheBackground:
    .byte 0x9
    .byte 0x6
    .import "GFX/FacingBackground_FullSuit_Organized.gfx"

SamusGFX_FullSuit_Right_TurningFromFacingTheBackground:
    .byte 0x9
    .byte 0x6
    .import "GFX/TurningFromFacingBackground_FullSuit_Right_Organized.gfx"


SamusGFX_FullSuit_Left_TurningFromFacingTheBackground:
    .byte 0x9
    .byte 0x6
    .import "GFX/TurningFromFacingBackground_FullSuit_Left_Organized.gfx"

.align

SamusOAM_FacingTheBackground:
    .halfword 0x6
    .halfword 0xD8,0x41F4,0x14 ; Head
    .halfword 0xE8,0x41F4,0x17 ; Body
    .halfword 0x80D8,0x4,0x16 ; Right arm
    .halfword 0x80E8,0x4,0x19 ; Cannon
    .halfword 0x40F8,0x1F4,0x1A ; Feets
    .halfword 0xF8,0x4,0x1C ; Feet part

.close